{
  lib,
  config,
  pkgs,
  ...
}:
with lib; let
  psCfg = config.pub-solar;
in {
  virtualisation.docker.enable = true;
  virtualisation.docker.package = pkgs.docker_24;

  users.users."${psCfg.user.name}" = {
    extraGroups = ["docker"];
  };

  environment.systemPackages = with pkgs; [
    docker-compose
  ];
}
