{
  config,
  pkgs,
  ...
}: let
  psCfg = config.pub-solar;
  xdg = config.home-manager.users."${psCfg.user.name}".xdg;
in {
  home-manager = pkgs.lib.setAttrByPath ["users" psCfg.user.name] {
    home.sessionVariables = {
      DRONE_SERVER = "https://ci.pub.solar";
      GOPATH = "/home/${psCfg.user.name}/.local/share/go";
    };
  };
}
