{
  config,
  pkgs,
  lib,
  ...
}:
with lib; let
  psCfg = config.pub-solar;
  cfg = config.pub-solar.core;
in {
  environment.systemPackages = with pkgs; [
    # Core unix utility packages
    coreutils-full
    diffutils
    dnsutils
    exfat
    file
    findutils
    inetutils
    lsof
    progress
    pciutils
    usbutils

    gitMinimal

    btop
    mtr
    nmap
    nload
  ];
}
