final: prev: {
  nix-index-unwrapped = prev.nix-index-unwrapped.overrideAttrs (oldAttrs: rec {
    inherit (oldAttrs) pname;
    src = prev.fetchFromGitHub {
      owner = "teutat3s";
      repo = "nix-index";
      rev = "e2d1917f474083f6d5a2c3368a6073f6427c19e4";
      hash = "sha256-3nTphxyqI6Hci7yJ2bKLcgdRl2qOY3BzUqoIl1YmmsA=";
    };
    version = "unstable-2023-11-25";

    cargoDeps = oldAttrs.cargoDeps.overrideAttrs (prev.lib.const {
      name = "${pname}-vendor.tar.gz";
      inherit src;
      outputHash = "sha256-x4oejbS1/L3WkN2S6PzvJni9UasRTP3TVVp3Ur9ge8U=";
    });

    postInstall = ''
      substituteInPlace etc/command-not-found.* \
        --subst-var out
      install -Dm444 etc/command-not-found.* -t $out/etc/profile.d
    '';
  });
}
