final: prev: {
  prr = prev.buildNpmPackage {
    pname = "prr";
    version = "unstable-2023-11-27";

    src = prev.fetchFromGitHub {
      owner = "TritonDataCenter";
      repo = "prr";
      rev = "c2c3f031b6719984f620ff4ce72163bacaa170e4";
      hash = "sha256-3xNs30ZOXgSZK7thMEr4XdKCKB0effmwglT88zJtrTE=";
    };

    npmDepsHash = "sha256-4wzMmjSyauZbtW0zqE1PCOsM0YRH4/ngYlHoudiLAsg=";

    dontBuild = true;
    installPhase = ''
      npmInstallHook

      mkdir -p $out/bin
      ln -s $out/lib/node_modules/prr/bin/prr $out/bin/prr
    '';

    meta = with prev.lib; {
      homepage = "https://github.com/TritonDataCenter/prr";
      description = "Tooling to assist with GitHub pull requests";
      platforms = ["x86_64-linux"];
      maintainers = with maintainers; [teutat3s];
    };
  };
}
