{
  config,
  pkgs,
  ...
}: let
in
  pkgs.lib.mkAfter ''    [sendemail]
      smtpserver = smtp.mailbox.org
      smtpuser = jhonas@mailbox.org
      smtpencryption = tls
      smtpserverport = 587

    [lfs]
      repositoryformatversion = 0
    [filter "lfs"]
      clean = git-lfs clean -- %f
      smudge = git-lfs smudge -- %f
      process = git-lfs filter-process
      required = true

    [includeIf "gitdir:~/CodeRoom/greenbaum.cloud/"]
      path = ~/.config/git/config_greenbaum.cloud

    [includeIf "gitdir:~/CodeRoom/github.com/TritonDataCenter/"]
      path = ~/.config/git/config_mnx
    [includeIf "gitdir:~/CodeRoom/github.com/mnx-solutions/"]
      path = ~/.config/git/config_mnx

    [includeIf "gitdir:~/CodeRoom/git.b12f.io/"]
      path = ~/.config/git/config_git.b12f.io
    [includeIf "gitdir:~/CodeRoom/git.pub.solar/"]
      path = ~/.config/git/config_git.b12f.io
    [includeIf "gitdir:~/CodeRoom/codeberg.org/"]
      path = ~/.config/git/config_git.b12f.io''
